Bug 468712 - openmotif shows 'XtGrabPointer failed' error
openmotif shows 'XtGrabPointer failed' error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmotif (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Woerner
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 11:47 EDT by Alan Matsuoka
Modified: 2010-10-23 01:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 06:04:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GUI_LOCK.tgz (76.14 KB, application/x-compressed-tar)
2008-10-27 11:47 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-10-27 11:47:12 EDT
Created attachment 321622 [details]
GUI_LOCK.tgz

1. Provide time and date of the problem
N/A customer's configuration.


  2. Indicate the platform(s) (architectures) the problem is being reported against.
all. Openmotif Xt library on RHEL4.


  3. Provide clear and concise problem description as it is understood at the time of escalation
         * Observed behavior
'XtGrabPointer failed' shows up.


         * Desired behavior
No error message.


  4. State specific action requested of SEG
Here's the situation:
- the vendor opened IT184887. This was cursor-hang issue.
- we delivered test package for IT184887 and the vendor has tested it. Worked okay.
- during the course of testings the vendor say this error 'XtGrabPointer failed' appearing on the terminal.
- although this is a warning that should come out as expected (this error is printed anytime grabpointer fails and times out), I looked in the code and agree that this is better to be removed by following reasons: 1. the error is coming out of xt library. It's preferable for it to just return a status code; *error message is not relevant*, and 2. the code does return the status right after the error message printed out. Application layer must handle the status and decide if it wants to print out the message or not.


  5. State whether or not a defect in the product is suspected
         * Provide Bugzilla if one already exists
N/A


  6. If there is a proposed patch, make sure it is in unified diff format (diff -pruN)
Proposed patch:
--- openMotif-2.2.3/lib/Xm/Messages.c.orig 2008-10-24 15:28:49.000000000 +0900
+++ openMotif-2.2.3/lib/Xm/Messages.c 2008-10-24 15:29:34.000000000 +0900
@@ -155,9 +155,6 @@
   "XmCascadeButton[Gadget] must have XmRowColumn parent with n
XmNrowColumnType XmMENU_PULLDOWN, XmMENU_POPUP, XmMENU_BAR or XmMENU_OPTION.";

-externaldef(messages) _XmConst char *_XmMsgCascadeB_0003 =
-   "XtGrabPointer failed.";
-
externaldef(messages) _XmConst char *_XmMsgRowColText_0024 =
   "XtGrabKeyboard failed.";

--- openMotif-2.2.3/lib/Xm/MenuUtil.c.orig 2008-10-24 15:23:12.000000000 +0900
+++ openMotif-2.2.3/lib/Xm/MenuUtil.c 2008-10-24 15:23:34.000000000 +0900
@@ -69,7 +69,6 @@
#include "UniqueEvnI.h"
#include "XmI.h"

-#define GRABPTRERROR    _XmMMsgCascadeB_0003
#define GRABKBDERROR    _XmMMsgRowColText_0024

#define EVENTS              ((unsigned int) (ButtonPressMask |
@@ -161,8 +160,6 @@

      XmeMicroSleep(1000);
   }
-   if (status != GrabSuccess)
-      XmeWarning((Widget) widget, GRABPTRERROR);

   return(status);
}
--- openMotif-2.2.3/lib/Xm/XmMsgI.h.orig 2008-10-24 15:25:12.000000000 +0900
+++ openMotif-2.2.3/lib/Xm/XmMsgI.h 2008-10-24 15:27:00.000000000 +0900
@@ -67,7 +67,6 @@
#define _XmMMsgCascadeB_0001        _XmCatgets(Xm_catd, MS_CascadeB, MSG_CascadeB_0001, _XmMsgCascadeB_0001)
#define _XmMMsgCascadeB_0002        _XmCatgets(Xm_catd, MS_CascadeB, MSG_CascadeB_0002, _XmMsgCascadeB_0002)
#define _XmMMsgCascadeB_0000        _XmCatgets(Xm_catd, MS_CascadeB, MSG_CascadeB_0000, _XmMsgCascadeB_0000)
-#define _XmMMsgCascadeB_0003        _XmCatgets(Xm_catd, MS_CascadeB, MSG_CascadeB_0003, _XmMsgCascadeB_0003)
#define _XmMMsgRowColText_0024      _XmCatgets(Xm_catd, MS_CascadeB, MSG_RowColText_0024, _XmMsgRowColText_0024)
#define _XmMMsgCommand_0000         _XmCatgets(Xm_catd, MS_Command, MSG_Command_0000, _XmMsgCommand_0000)
#define _XmMMsgCommand_0001         _XmCatgets(Xm_catd, MS_Command, MSG_Command_0001, _XmMsgCommand_0001)
--- openMotif-2.2.3/lib/Xm/Xm.msg.orig 2008-10-24 15:27:23.000000000 +0900
+++ openMotif-2.2.3/lib/Xm/Xm.msg 2008-10-24 15:27:43.000000000 +0900
@@ -81,7 +81,6 @@
MSG_CascadeB_0002 XmNmappingDelay must be greater than or equal to 0.
MSG_CascadeB_0000 XmCascadeButton[Gadget] must have XmRowColumn parent with n
XmNrowColumnType XmMENU_PULLDOWN, XmMENU_POPUP, XmMENU_BAR or XmMENU_OPTION.
-MSG_CascadeB_0003 XtGrabPointer failed.
MSG_RowColText_0024 XtGrabKeyboard failed.

$set MS_Command
--- openMotif-2.2.3/lib/Xm/TrackLoc.c.orig 2008-10-24 15:16:05.000000000 +0900
+++ openMotif-2.2.3/lib/Xm/TrackLoc.c 2008-10-24 15:21:33.000000000 +0900
@@ -53,8 +53,6 @@
#include "XmI.h"
#include "MessagesI.h"

-#define GRABPTRERROR    _XmMMsgCascadeB_0003
-

/********    Static Function Declarations    ********/

@@ -149,7 +147,6 @@
     (unsigned int) (ButtonPressMask | ButtonReleaseMask),
     GrabModeAsync, GrabModeAsync,
     confine_to, cursor, lastTime) != GrabSuccess) {
- XmeWarning(widget, GRABPTRERROR);
_XmAppUnlock(app);
return NULL ;
    }
Comment 3 Andriy 2008-11-03 12:15:29 EST
Investigated :
http://bugs.motifzone.net/show_bug.cgi?id=1454
Comment 4 Phil Knirsch 2008-11-19 06:04:23 EST
Closing as NOTABUG, see comment #3.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.